WholeWorldTileHandler.Builder (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.mapTile
Class WholeWorldTileHandler.Builder

    java.lang.Object
      com.bbn.openmap.dataAccess.mapTile.WholeWorldTileHandler.Builder

Enclosing class:
  WholeWorldTileHandler

    public static class WholeWorldTileHandler.Builder

extends java.lang.Object

The builder class takes a map tile directory and creates a set of jars from it, divided so that the WholeWorldTileHandler can deal with it. It will create one jar file that holds the tiles that cover the world for a selected set of tiles. It then creates jar files (sub-jars) that contain tiles for the other zoom levels. These sub-jars are organized by geographic zone as defined by tiles from a lower zoom level. The default level is 3. For instance, subjar_0_0.jar contains all the tiles for zoom levels 11-20 that fit in the geographic area covered by tile 0, 0 for zoom level 3.

There are options to control the geographic area definition zoom level, the zoom level for the tiles stored in the world-wide jar, and the maximum zoom level inserted in to the sub-jars.

Author:
  ddietrick

Field Summary
`protected boolean` | `doWorldJar`
`protected boolean` | `fill`
`protected java.util.logging.Level` | `logLevel`
`protected int` | `maxx`
`protected int` | `maxy`
`protected int` | `maxZoomLevelInSubJars`
`protected int` | `minx`
`protected int` | `miny`
`protected java.io.File` | `sourceFile`
`protected int` | `subJarZoomDef`
`protected java.io.File` | `targetFile`
`protected java.lang.String` | `tileExt`
`protected int` | `worldWideZoomLevel`

Constructor Summary
`WholeWorldTileHandler.Builder(java.io.File source)`

Method Summary
`protected boolean` | `checkZoomLevel(int zoomLevel)`
`protected void` | `copyAndUpdateProperties(java.io.File sourceDir, java.io.File targetDir)`
`void` | `go()`
`boolean` | `isFill()` Check whether the build process will only create jars that don't exist.
`void` | `maxx(int parseInt)` Set the ending y number of the subjar file to create.
`void` | `maxy(int parseInt)` Set the ending y number of the subjar file to create.
`WholeWorldTileHandler.Builder` | `maxZoomLevelInSubJars(int zoomLevel)`
`void` | `minx(int parseInt)` Set the starting x number of the subjar file to create.
`void` | `miny(int parseInt)` Set the starting y number of the subjar file to create.
`void` | `setDoWorldJar(boolean dwj)`
`void` | `setFill(boolean fill)` Set whether the build process will only create jars that don't exist.
`WholeWorldTileHandler.Builder` | `subJarZoomDef(int zoomLevel)`
`WholeWorldTileHandler.Builder` | `targetFile(java.io.File targetFile)`
`WholeWorldTileHandler.Builder` | `tileExt(java.lang.String tileExtension)`
`java.lang.String` | `toString()`
`WholeWorldTileHandler.Builder` | `worldWideZoomLevel(int zoomLevel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sourceFile

    protected java.io.File sourceFile

### targetFile

    protected java.io.File targetFile

### subJarZoomDef

    protected int subJarZoomDef

### worldWideZoomLevel

    protected int worldWideZoomLevel

### maxZoomLevelInSubJars

    protected int maxZoomLevelInSubJars

### tileExt

    protected java.lang.String tileExt

### minx

    protected int minx

### miny

    protected int miny

### maxx

    protected int maxx

### maxy

    protected int maxy

### doWorldJar

    protected boolean doWorldJar

### fill

    protected boolean fill

### logLevel

    protected java.util.logging.Level logLevel

Constructor Detail

### WholeWorldTileHandler.Builder

    public WholeWorldTileHandler.Builder(java.io.File source)
                                  throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

Method Detail

### targetFile

    public WholeWorldTileHandler.Builder targetFile(java.io.File targetFile)

### tileExt

    public WholeWorldTileHandler.Builder tileExt(java.lang.String tileExtension)

### subJarZoomDef

    public WholeWorldTileHandler.Builder subJarZoomDef(int zoomLevel)
                                                throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### worldWideZoomLevel

    public WholeWorldTileHandler.Builder worldWideZoomLevel(int zoomLevel)
                                                     throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### maxZoomLevelInSubJars

    public WholeWorldTileHandler.Builder maxZoomLevelInSubJars(int zoomLevel)
                                                        throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### checkZoomLevel

    protected boolean checkZoomLevel(int zoomLevel)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### copyAndUpdateProperties

    protected void copyAndUpdateProperties(java.io.File sourceDir,
                                           java.io.File targetDir)

### go

    public void go()
            throws java.io.FileNotFoundException,
                   java.io.IOException

  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

### minx

    public void minx(int parseInt)

  Set the starting x number of the subjar file to create. Depends on the subjar zoom to figure out what that means.

  Parameters:
    `parseInt` -

### miny

    public void miny(int parseInt)

  Set the starting y number of the subjar file to create. Depends on the subjar zoom to figure out what that means.

  Parameters:
    `parseInt` -

### maxx

    public void maxx(int parseInt)

  Set the ending y number of the subjar file to create. Depends on the subjar zoom to figure out what that means.

  Parameters:
    `parseInt` -

### maxy

    public void maxy(int parseInt)

  Set the ending y number of the subjar file to create. Depends on the subjar zoom to figure out what that means.

  Parameters:
    `parseInt` -

### setDoWorldJar

    public void setDoWorldJar(boolean dwj)

### isFill

    public boolean isFill()

  Check whether the build process will only create jars that don't exist.

### setFill

    public void setFill(boolean fill)

  Set whether the build process will only create jars that don't exist.

  Parameters:
    `fill` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details